Skip to main content
Resource Center/Network Service/Network Service Operations/EIP Operations

QueryEip

QueryEip

GET/zstack/v1/eips
GET/zstack/v1/eips/{uuid}

Operation ID

QueryEip

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • vmNicUuid
      StringRequired

      The VM NIC UUID.

    • vipUuid
      StringRequired

      The VIP UUID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • state
      StringRequired

      The resource state.

    • vipIp
      StringRequired

      The VIP IP.

    • guestIp
      StringRequired

      The guest IP.